<html>
<head>
<title>OGRE: Ogre::AnimableValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnimableValue.html">AnimableValue</a></div>
<h1>Ogre::AnimableValue Class Reference</h1><!-- doxytag: class="Ogre::AnimableValue" -->Defines an object property which is animable, ie may be keyframed.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1AnimableValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69f2f0a37077706342371d65539e56b295">INT</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d693062c18887fcc426f17c19d786edeaef">REAL</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d6931cb7b9505f0707baee335b0b200a135">VECTOR2</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d694f77f4de37ff20785d425d00dde7864a">VECTOR3</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d698c429058bd40804133f32ee95337f05b">VECTOR4</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69c56bb2149a2092c3a3d834c6def9571a">QUATERNION</a>, 
<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69019d638a0420937709b0ca4ded01a57e">COLOUR</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of the value being animated.  <a href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#280f34861f78ae0f9560ce6d49bd2346">AnimableValue</a> (<a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a> t)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#89c0b065a5d1a3398e2663713bdf5007">~AnimableValue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#801dea01990f3cb16def8185159a9e55">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the value type of this animable value.  <a href="#801dea01990f3cb16def8185159a9e55"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#b3198ebe772d4ffeac4f5656420b3a3f">setCurrentStateAsBaseValue</a> (void)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the current state as the 'base' value; used for delta animation.  <a href="#b3198ebe772d4ffeac4f5656420b3a3f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#7bf19d59335bc397010e009eaf593288">setValue</a> (int)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#7bf19d59335bc397010e009eaf593288"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#950b8bf6bd5090aa8717215dcba68877">setValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#950b8bf6bd5090aa8717215dcba68877"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#4b0159d919981f3e5f6c69461bda725f">setValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#4b0159d919981f3e5f6c69461bda725f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#8beaf446718c7169fd6e8580b5a0fa4e">setValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#8beaf446718c7169fd6e8580b5a0fa4e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#8d6e93903faee8c7a0e557e4852111f9">setValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#8d6e93903faee8c7a0e557e4852111f9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#61de4fd8eca078570639cb200178a40d">setValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#61de4fd8eca078570639cb200178a40d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#39c32d892f553e9aa1f45091edabeb74">setValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#39c32d892f553e9aa1f45091edabeb74"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#c9f25ae01ac3b9cec80df9e7e930bac9">setValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#c9f25ae01ac3b9cec80df9e7e930bac9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#e544d029ad24ed12090d5ecbb2202ce8">resetToBaseValue</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#0077811577a67da9e17fe0582eddf9d0">applyDeltaValue</a> (int)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#0077811577a67da9e17fe0582eddf9d0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#87058d1fc51ccbdeeb7d265d3bc6118a">applyDeltaValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value.  <a href="#87058d1fc51ccbdeeb7d265d3bc6118a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#59283e8287fd1e9dc82c02f843809407">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#59283e8287fd1e9dc82c02f843809407"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#bb5b33797a6afb9fedbbc12a83c2201e">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#bb5b33797a6afb9fedbbc12a83c2201e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#4fe4b177fb24522f3e1325a6e8daab62">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#4fe4b177fb24522f3e1325a6e8daab62"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#7db4121de1ba46cbf27fb9d8a0365cf2">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#7db4121de1ba46cbf27fb9d8a0365cf2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#d131854d6fc1551de763ea93634d618c">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#d131854d6fc1551de763ea93634d618c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#662bf10183dd75b2786eb4343c63db8c">applyDeltaValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Apply delta value.  <a href="#662bf10183dd75b2786eb4343c63db8c"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#acef098935627873fd41f7b3bd37d3cf">setAsBaseValue</a> (int val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#acef098935627873fd41f7b3bd37d3cf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#591cf1fe6aea2bb616b2fb33aa9d89eb">setAsBaseValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#591cf1fe6aea2bb616b2fb33aa9d89eb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#4d7deaff8c80d30847824641a1379795">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#4d7deaff8c80d30847824641a1379795"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#79e47a48705265f9d68da37c135d8e07">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#79e47a48705265f9d68da37c135d8e07"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#d8b0a714cd9e968c50aba63e073a178e">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#d8b0a714cd9e968c50aba63e073a178e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#db6ffb64834d5c87d4f700cd49d8187c">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#db6ffb64834d5c87d4f700cd49d8187c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#7e9f1daae0fe81ef3bc537673dedcdbb">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#7e9f1daae0fe81ef3bc537673dedcdbb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#27a8718feccb76cfe4d541a336bfb6a8">setAsBaseValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to set a value as base.  <a href="#27a8718feccb76cfe4d541a336bfb6a8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableValue.html#a3a3dfd661bd4fe6c7a64d12a1f99e25">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value type.  <a href="#a3a3dfd661bd4fe6c7a64d12a1f99e25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap>union {</td></tr>

<tr><td class="memItemLeft" nowrap>&nbsp;&nbsp;&nbsp;int&nbsp;&nbsp;&nbsp;<a class="el" href="classOgre_1_1AnimableValue.html#d8012b223d250f482cd3200ed450a36a">mBaseValueInt</a></td></tr>

<tr><td class="memItemLeft" nowrap>&nbsp;&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;&nbsp;&nbsp;<a class="el" href="classOgre_1_1AnimableValue.html#4e26a76b98c42eda570e551322aff11d">mBaseValueReal</a> [4]</td></tr>

<tr><td class="memItemLeft" nowrap valign="top">};&nbsp;</td><td class="memItemRight" valign="bottom"></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Base value data.  <a href="#9a28f64b2bcd08a8c89e83da7458f550"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Defines an object property which is animable, ie may be keyframed. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Animable properties are those which can be altered over time by a predefined keyframe sequence. They may be set directly, or they may be modified from their existing state (common if multiple animations are expected to apply at once). Implementors of this interface are expected to override the 'setValue', 'setCurrentStateAsBaseValue' and 'applyDeltaValue' methods appropriate to the type in question, and to initialise the type. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1AnimableValue.html" title="Defines an object property which is animable, ie may be keyframed.">AnimableValue</a> instances are accessible through any class which extends <a class="el" href="classOgre_1_1AnimableObject.html" title="Defines an interface to classes which have one or more AnimableValue instances to...">AnimableObject</a> in order to expose it's animable properties. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This class is an instance of the Adapter pattern, since it generalises access to a particular property. Whilst it could have been templated such that the type which was being referenced was compiled in, this would make it more difficult to aggregated generically, and since animations are often comprised of multiple properties it helps to be able to deal with all values through a single class. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00065">65</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="dccd62bb2b72c602b9c59ca651256d69"></a><!-- doxytag: member="Ogre::AnimableValue::ValueType" ref="dccd62bb2b72c602b9c59ca651256d69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">Ogre::AnimableValue::ValueType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of the value being animated. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d69f2f0a37077706342371d65539e56b295"></a><!-- doxytag: member="INT" ref="dccd62bb2b72c602b9c59ca651256d69f2f0a37077706342371d65539e56b295" args="" -->INT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d693062c18887fcc426f17c19d786edeaef"></a><!-- doxytag: member="REAL" ref="dccd62bb2b72c602b9c59ca651256d693062c18887fcc426f17c19d786edeaef" args="" -->REAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d6931cb7b9505f0707baee335b0b200a135"></a><!-- doxytag: member="VECTOR2" ref="dccd62bb2b72c602b9c59ca651256d6931cb7b9505f0707baee335b0b200a135" args="" -->VECTOR2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d694f77f4de37ff20785d425d00dde7864a"></a><!-- doxytag: member="VECTOR3" ref="dccd62bb2b72c602b9c59ca651256d694f77f4de37ff20785d425d00dde7864a" args="" -->VECTOR3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d698c429058bd40804133f32ee95337f05b"></a><!-- doxytag: member="VECTOR4" ref="dccd62bb2b72c602b9c59ca651256d698c429058bd40804133f32ee95337f05b" args="" -->VECTOR4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d69c56bb2149a2092c3a3d834c6def9571a"></a><!-- doxytag: member="QUATERNION" ref="dccd62bb2b72c602b9c59ca651256d69c56bb2149a2092c3a3d834c6def9571a" args="" -->QUATERNION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="dccd62bb2b72c602b9c59ca651256d69019d638a0420937709b0ca4ded01a57e"></a><!-- doxytag: member="COLOUR" ref="dccd62bb2b72c602b9c59ca651256d69019d638a0420937709b0ca4ded01a57e" args="" -->COLOUR</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00069">69</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="280f34861f78ae0f9560ce6d49bd2346"></a><!-- doxytag: member="Ogre::AnimableValue::AnimableValue" ref="280f34861f78ae0f9560ce6d49bd2346" args="(ValueType t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimableValue::AnimableValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00119">119</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89c0b065a5d1a3398e2663713bdf5007"></a><!-- doxytag: member="Ogre::AnimableValue::~AnimableValue" ref="89c0b065a5d1a3398e2663713bdf5007" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::AnimableValue::~AnimableValue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00120">120</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="acef098935627873fd41f7b3bd37d3cf"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="acef098935627873fd41f7b3bd37d3cf" args="(int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00091">91</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="591cf1fe6aea2bb616b2fb33aa9d89eb"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="591cf1fe6aea2bb616b2fb33aa9d89eb" args="(Real val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00093">93</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d7deaff8c80d30847824641a1379795"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="4d7deaff8c80d30847824641a1379795" args="(const Vector2 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00095">95</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00103">Ogre::Vector2::ptr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="79e47a48705265f9d68da37c135d8e07"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="79e47a48705265f9d68da37c135d8e07" args="(const Vector3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00098">98</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00107">Ogre::Vector3::ptr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d8b0a714cd9e968c50aba63e073a178e"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="d8b0a714cd9e968c50aba63e073a178e" args="(const Vector4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00101">101</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h-source.html#l00109">Ogre::Vector4::ptr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="db6ffb64834d5c87d4f700cd49d8187c"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="db6ffb64834d5c87d4f700cd49d8187c" args="(const Quaternion &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00104">104</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreQuaternion_8h-source.html#l00121">Ogre::Quaternion::ptr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7e9f1daae0fe81ef3bc537673dedcdbb"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="7e9f1daae0fe81ef3bc537673dedcdbb" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

</div>
</div><p>
<a class="anchor" name="27a8718feccb76cfe4d541a336bfb6a8"></a><!-- doxytag: member="Ogre::AnimableValue::setAsBaseValue" ref="27a8718feccb76cfe4d541a336bfb6a8" args="(const ColourValue &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to set a value as base. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00109">109</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">Ogre::ColourValue::a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">Ogre::ColourValue::b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">Ogre::ColourValue::g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">Ogre::ColourValue::r</a>.</p>

</div>
</div><p>
<a class="anchor" name="801dea01990f3cb16def8185159a9e55"></a><!-- doxytag: member="Ogre::AnimableValue::getType" ref="801dea01990f3cb16def8185159a9e55" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a> Ogre::AnimableValue::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the value type of this animable value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00123">123</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b3198ebe772d4ffeac4f5656420b3a3f"></a><!-- doxytag: member="Ogre::AnimableValue::setCurrentStateAsBaseValue" ref="b3198ebe772d4ffeac4f5656420b3a3f" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setCurrentStateAsBaseValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the current state as the 'base' value; used for delta animation. 
<p>

</div>
</div><p>
<a class="anchor" name="7bf19d59335bc397010e009eaf593288"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="7bf19d59335bc397010e009eaf593288" args="(int)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00129">129</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="950b8bf6bd5090aa8717215dcba68877"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="950b8bf6bd5090aa8717215dcba68877" args="(Real)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00133">133</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b0159d919981f3e5f6c69461bda725f"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="4b0159d919981f3e5f6c69461bda725f" args="(const Vector2 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00137">137</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="8beaf446718c7169fd6e8580b5a0fa4e"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="8beaf446718c7169fd6e8580b5a0fa4e" args="(const Vector3 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00141">141</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="8d6e93903faee8c7a0e557e4852111f9"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="8d6e93903faee8c7a0e557e4852111f9" args="(const Vector4 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00145">145</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="61de4fd8eca078570639cb200178a40d"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="61de4fd8eca078570639cb200178a40d" args="(const Quaternion &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00149">149</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="39c32d892f553e9aa1f45091edabeb74"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="39c32d892f553e9aa1f45091edabeb74" args="(const ColourValue &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00153">153</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="c9f25ae01ac3b9cec80df9e7e930bac9"></a><!-- doxytag: member="Ogre::AnimableValue::setValue" ref="c9f25ae01ac3b9cec80df9e7e930bac9" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

</div>
</div><p>
<a class="anchor" name="e544d029ad24ed12090d5ecbb2202ce8"></a><!-- doxytag: member="Ogre::AnimableValue::resetToBaseValue" ref="e544d029ad24ed12090d5ecbb2202ce8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::resetToBaseValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0077811577a67da9e17fe0582eddf9d0"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="0077811577a67da9e17fe0582eddf9d0" args="(int)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00163">163</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="87058d1fc51ccbdeeb7d265d3bc6118a"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="87058d1fc51ccbdeeb7d265d3bc6118a" args="(Real)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00167">167</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="59283e8287fd1e9dc82c02f843809407"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="59283e8287fd1e9dc82c02f843809407" args="(const Vector2 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00171">171</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="bb5b33797a6afb9fedbbc12a83c2201e"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="bb5b33797a6afb9fedbbc12a83c2201e" args="(const Vector3 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00175">175</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="4fe4b177fb24522f3e1325a6e8daab62"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="4fe4b177fb24522f3e1325a6e8daab62" args="(const Vector4 &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00179">179</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="7db4121de1ba46cbf27fb9d8a0365cf2"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="7db4121de1ba46cbf27fb9d8a0365cf2" args="(const Quaternion &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00183">183</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="d131854d6fc1551de763ea93634d618c"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="d131854d6fc1551de763ea93634d618c" args="(const ColourValue &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00187">187</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00112">Ogre::Exception::ERR_NOT_IMPLEMENTED</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="662bf10183dd75b2786eb4343c63db8c"></a><!-- doxytag: member="Ogre::AnimableValue::applyDeltaValue" ref="662bf10183dd75b2786eb4343c63db8c" args="(const Any &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::AnimableValue::applyDeltaValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Apply delta value. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a3a3dfd661bd4fe6c7a64d12a1f99e25"></a><!-- doxytag: member="Ogre::AnimableValue::mType" ref="a3a3dfd661bd4fe6c7a64d12a1f99e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableValue.html#dccd62bb2b72c602b9c59ca651256d69">ValueType</a> <a class="el" href="classOgre_1_1AnimableValue.html#a3a3dfd661bd4fe6c7a64d12a1f99e25">Ogre::AnimableValue::mType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Value type. 
<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00081">81</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d8012b223d250f482cd3200ed450a36a"></a><!-- doxytag: member="Ogre::AnimableValue::mBaseValueInt" ref="d8012b223d250f482cd3200ed450a36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1AnimableValue.html#d8012b223d250f482cd3200ed450a36a">Ogre::AnimableValue::mBaseValueInt</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00086">86</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e26a76b98c42eda570e551322aff11d"></a><!-- doxytag: member="Ogre::AnimableValue::mBaseValueReal" ref="4e26a76b98c42eda570e551322aff11d" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimableValue.html#4e26a76b98c42eda570e551322aff11d">Ogre::AnimableValue::mBaseValueReal</a>[4]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimable_8h-source.html#l00087">87</a> of file <a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9a28f64b2bcd08a8c89e83da7458f550"></a><!-- doxytag: member="Ogre::AnimableValue::@1" ref="9a28f64b2bcd08a8c89e83da7458f550" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } <code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Base value data. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
